entropy.ubuntu.com SSL certificate needs to be updated

Bug #1304777 reported by Haw Loeung on 2014-04-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pollinate (Ubuntu)
Critical
Dustin Kirkland 

Bug Description

Hi,

It seems pollinate ships out SSL certificate for entropy.ubuntu.com. Due to the recent OpenSSL "Heartbleed Bug", we've re-keyed the entropy.ubuntu.com certificate and updated so that the service now uses the new certificate/key.

Could you please update the pollinate package with the new certificate and chain certificates?

Thanks,

Haw

Haw Loeung (hloeung) on 2014-04-09
tags: added: canonical-sysadmins
tags: added: canonical-webops
removed: canonical-sysadmins
Changed in pollinate (Ubuntu):
assignee: nobody → Dustin Kirkland  (kirkland)
importance: Undecided → Critical
milestone: none → ubuntu-14.04
status: New → In Progress
Dustin Kirkland  (kirkland) wrote :

Thanks, I'm working on this urgently.

To solve this, however, I do need the new public certificate and CA chain cert from the entropy.ubuntu.com ssl endpoint.

Thanks.

JuanJo Ciarlante (jjo) wrote :

Hi Dustin, I'll send you the new certs.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pollinate - 4.7-0ubuntu1

---------------
pollinate (4.7-0ubuntu1) trusty; urgency=low

  * README:
    - update documentation; pollinate no longer runs daily
  * entropy.ubuntu.com.pem: LP: #1304777
    - entropy.ubuntu.com re-keyed SSL certs due to heartbleed OpenSSL
      vulnerability
 -- Dustin Kirkland <email address hidden> Fri, 07 Mar 2014 16:46:18 -0600

Changed in pollinate (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers